Bug 1200388 - (CVE-2022-32545) VUL-1: CVE-2022-32545: ImageMagick: outside the range of representable values of type 'unsigned char' at coders/psd.c
(CVE-2022-32545)
VUL-1: CVE-2022-32545: ImageMagick: outside the range of representable values...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/333890/
CVSSv3.1:SUSE:CVE-2022-32545:3.3:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-06-09 15:10 UTC by Carlos López
Modified: 2022-09-08 11:20 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos López 2022-06-09 15:10:27 UTC
rh#2091811

In ImageMagick version < 7.1.0-28, there is an outside the range of representable values of type 'unsigned char' at coders/psd.c.

References:
https://github.com/ImageMagick/ImageMagick/issues/4962
https://github.com/ImageMagick/ImageMagick/pull/4963

References:
https://bugzilla.redhat.com/show_bug.cgi?id=2091811
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-32545
Comment 1 Petr Gajdos 2022-06-13 13:08:16 UTC
15sp4,15sp2,15,12/ImageMagick: affected
11/ImageMagick: code not found, considering not affected

Submitted for: 15sp4,15sp2,15,12/ImageMagick.
Comment 4 Swamp Workflow Management 2022-07-04 16:16:09 UTC
SUSE-SU-2022:2259-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1153866,1200387,1200388,1200389
CVE References: CVE-2019-17540,CVE-2022-32545,CVE-2022-32546,CVE-2022-32547
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    ImageMagick-7.0.7.34-150200.10.31.1
openSUSE Leap 15.3 (src):    ImageMagick-7.0.7.34-150200.10.31.1
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    ImageMagick-7.0.7.34-150200.10.31.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    ImageMagick-7.0.7.34-150200.10.31.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2022-07-05 13:16:13 UTC
SUSE-SU-2022:2263-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1153866,1200387,1200388,1200389
CVE References: CVE-2019-17540,CVE-2022-32545,CVE-2022-32546,CVE-2022-32547
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    ImageMagick-6.8.8.1-71.177.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    ImageMagick-6.8.8.1-71.177.1
SUSE Linux Enterprise Server 12-SP5 (src):    ImageMagick-6.8.8.1-71.177.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2022-07-06 16:19:51 UTC
SUSE-SU-2022:2301-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1200387,1200388,1200389
CVE References: CVE-2022-32545,CVE-2022-32546,CVE-2022-32547
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    ImageMagick-7.1.0.9-150400.6.3.1
SUSE Linux Enterprise Module for Development Tools 15-SP4 (src):    ImageMagick-7.1.0.9-150400.6.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    ImageMagick-7.1.0.9-150400.6.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.